// Mocks generated by Mockito 5.3.2 from annotations
// in baam/test/states_test.dart.
// Do not manually edit this file.

// ignore_for_file: no_leading_underscores_for_library_prefixes
import "dart:async" as _i4;

import "package:baam/network/models/baam_models.dart" as _i2;
import "package:baam/network/repository/baam_repository.dart" as _i3;
import "package:mockito/mockito.dart" as _i1;

// ignore_for_file: type=lint
// ignore_for_file: avoid_redundant_argument_values
// ignore_for_file: avoid_setters_without_getters
// ignore_for_file: comment_references
// ignore_for_file: implementation_imports
// ignore_for_file: invalid_use_of_visible_for_testing_member
// ignore_for_file: prefer_const_constructors
// ignore_for_file: unnecessary_parenthesis
// ignore_for_file: camel_case_types
// ignore_for_file: subtype_of_sealed_class

class _FakeUserInfo_0 extends _i1.SmartFake implements _i2.UserInfo {
  _FakeUserInfo_0(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeMarkedSessionInfo_1 extends _i1.SmartFake
    implements _i2.MarkedSessionInfo {
  _FakeMarkedSessionInfo_1(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeRunningSessionInfo_2 extends _i1.SmartFake
    implements _i2.RunningSessionInfo {
  _FakeRunningSessionInfo_2(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

class _FakeSessionInfo_3 extends _i1.SmartFake implements _i2.SessionInfo {
  _FakeSessionInfo_3(
    Object parent,
    Invocation parentInvocation,
  ) : super(
          parent,
          parentInvocation,
        );
}

/// A class which mocks [BaamRepository].
///
/// See the documentation for Mockito"s code generation for more information.
class MockBaamRepository extends _i1.Mock implements _i3.BaamRepository {
  MockBaamRepository() {
    _i1.throwOnMissingStub(this);
  }

  @override
  void setToken(String? token) => super.noSuchMethod(
        Invocation.method(
          #setToken,
          [token],
        ),
        returnValueForMissingStub: null,
      );
  @override
  _i4.Future<String?> getToken() => (super.noSuchMethod(
        Invocation.method(
          #getToken,
          [],
        ),
        returnValue: _i4.Future<String?>.value(),
      ) as _i4.Future<String?>);
  @override
  _i4.Future<void> logout() => (super.noSuchMethod(
        Invocation.method(
          #logout,
          [],
        ),
        returnValue: _i4.Future<void>.value(),
        returnValueForMissingStub: _i4.Future<void>.value(),
      ) as _i4.Future<void>);
  @override
  _i4.Future<_i2.UserInfo> getUserInfo() => (super.noSuchMethod(
        Invocation.method(
          #getUserInfo,
          [],
        ),
        returnValue: _i4.Future<_i2.UserInfo>.value(_FakeUserInfo_0(
          this,
          Invocation.method(
            #getUserInfo,
            [],
          ),
        )),
      ) as _i4.Future<_i2.UserInfo>);
  @override
  _i4.Future<void> submitChallenge(
    String? sessionId,
    String? code,
  ) =>
      (super.noSuchMethod(
        Invocation.method(
          #submitChallenge,
          [
            sessionId,
            code,
          ],
        ),
        returnValue: _i4.Future<void>.value(),
        returnValueForMissingStub: _i4.Future<void>.value(),
      ) as _i4.Future<void>);
  @override
  _i4.Future<_i2.MarkedSessionInfo> getMarkedSessionInfo(String? sessionId) =>
      (super.noSuchMethod(
        Invocation.method(
          #getMarkedSessionInfo,
          [sessionId],
        ),
        returnValue:
            _i4.Future<_i2.MarkedSessionInfo>.value(_FakeMarkedSessionInfo_1(
          this,
          Invocation.method(
            #getMarkedSessionInfo,
            [sessionId],
          ),
        )),
      ) as _i4.Future<_i2.MarkedSessionInfo>);
  @override
  _i4.Future<_i2.RunningSessionInfo> getOrStartSession() => (super.noSuchMethod(
        Invocation.method(
          #getOrStartSession,
          [],
        ),
        returnValue: _i4.Future<_i2.RunningSessionInfo>.value(_FakeRunningSessionInfo_2(
          this,
          Invocation.method(
            #getOrStartSession,
            [],
          ),
        )),
      ) as _i4.Future<_i2.RunningSessionInfo>);
  @override
  _i4.Future<void> stopSession(String? sessionId) => (super.noSuchMethod(
        Invocation.method(
          #stopSession,
          [sessionId],
        ),
        returnValue: _i4.Future<void>.value(),
        returnValueForMissingStub: _i4.Future<void>.value(),
      ) as _i4.Future<void>);
  @override
  _i4.Future<_i2.RunningSessionInfo> continueSession(String? sessionId) =>
      (super.noSuchMethod(
        Invocation.method(
          #continueSession,
          [sessionId],
        ),
        returnValue: _i4.Future<_i2.RunningSessionInfo>.value(_FakeRunningSessionInfo_2(
          this,
          Invocation.method(
            #continueSession,
            [sessionId],
          ),
        )),
      ) as _i4.Future<_i2.RunningSessionInfo>);
  @override
  _i4.Future<void> deleteSession(String? sessionId) => (super.noSuchMethod(
        Invocation.method(
          #deleteSession,
          [sessionId],
        ),
        returnValue: _i4.Future<void>.value(),
        returnValueForMissingStub: _i4.Future<void>.value(),
      ) as _i4.Future<void>);
  @override
  _i4.Future<_i2.SessionInfo> getSessionInfo(String? sessionId) =>
      (super.noSuchMethod(
        Invocation.method(
          #getSessionInfo,
          [sessionId],
        ),
        returnValue: _i4.Future<_i2.SessionInfo>.value(_FakeSessionInfo_3(
          this,
          Invocation.method(
            #getSessionInfo,
            [sessionId],
          ),
        )),
      ) as _i4.Future<_i2.SessionInfo>);
  @override
  _i4.Future<void> changeSessionInfo(
    String? sessionId, {
    required String? title,
  }) =>
      (super.noSuchMethod(
        Invocation.method(
          #changeSessionInfo,
          [sessionId],
          {#title: title},
        ),
        returnValue: _i4.Future<void>.value(),
        returnValueForMissingStub: _i4.Future<void>.value(),
      ) as _i4.Future<void>);
  @override
  _i4.Future<void> addUserToSession(
    String? sessionId, {
    required String? userEmail,
  }) =>
      (super.noSuchMethod(
        Invocation.method(
          #addUserToSession,
          [sessionId],
          {#userEmail: userEmail},
        ),
        returnValue: _i4.Future<void>.value(),
        returnValueForMissingStub: _i4.Future<void>.value(),
      ) as _i4.Future<void>);
  @override
  _i4.Future<List<_i2.PartialSessionInfo>> getCollectedSessions() =>
      (super.noSuchMethod(
        Invocation.method(
          #getCollectedSessions,
          [],
        ),
        returnValue: _i4.Future<List<_i2.PartialSessionInfo>>.value(
            <_i2.PartialSessionInfo>[]),
      ) as _i4.Future<List<_i2.PartialSessionInfo>>);
}
